## ros-kinetic-ipr-extern 0.8.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ipr_extern)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-ipr-extern (0.8.8-0xenial) xenial; urgency=high



 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-kinetic-ipr-extern (0.8.7-0xenial) xenial; urgency=high



 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-kinetic-ipr-extern (0.8.6-0xenial) xenial; urgency=high



 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-kinetic-ipr-extern (0.8.5-0xenial) xenial; urgency=high



 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-kinetic-ipr-extern (0.8.4-0xenial) xenial; urgency=high



 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-kinetic-ipr-extern (0.8.3-0xenial) xenial; urgency=high



 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-kinetic-ipr-extern (0.8.2-0xenial) xenial; urgency=high



 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-kinetic-ipr-extern (0.8.1-0xenial) xenial; urgency=high

  * Ati rs485 interface (#1)
    * Integrated the libmodbus package (https://libmodbus.org/).
    The package was build on the official v3.1.4. release of libmodbus and was slightly modified.
    The modifications enable us to use custom baudrates not supported in the termios.h by using 'baudrate aliasing'.
    This will redefine an existing baudrate to the baudrate requested by the user and then it for modbus communication.
    * Renamed repository and added travis build
  * Contributors: Denis Štogl

 -- Denis Štogl <denis.stogl@kit.edu>  Mon, 10 Dec 2018 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-ipr-extern
Section: misc
Priority: extra
Maintainer: Denis Štogl <denis.stogl@kit.edu>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-ipr-extern
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-libmodbus, ros-kinetic-libreflexxestype2, ros-kinetic-ros-reflexxes
Description: Package with external libraries used in Industrial and Service workspaces.
 Currentlly supported Libraries: Reflexxes, Libmodbus.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-ipr-extern//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
